metadata:
  id: nodered
  name:
    en: Node-RED
  version: 0.1.0
  displayVersion: 4.0.9
  category:
    af: Automation
    ar: الوضع التلقائي
    ca: Automatització
    cs: Automation
    da: Automation
    de: Automatisierung
    el: Αυτοματισμός
    en: Automation
    es: Automatización
    fi: Automation
    fr: Automatisation
    he: Automation
    hu: Automatizálás
    it: Automazione
    ja: 自動化
    ko: 자동화
    nl: Automatisering
    no: Automation
    pl: Automatyzacja
    pt: Automação
    ro: Automatizare
    ru: Автоматизация
    sr: Automation
    sv: Automatisering
    tr: Otomasyon
    uk: Автоматизація
    vi: Tự động hóa
    zh: 自動化
  tagline:
    en: Low-code programming for event-driven applications
  developers: {}
  description:
    en: Node-RED is a programming tool for wiring together hardware devices, APIs and online services in new and interesting ways. It provides a browser-based editor that makes it easy to wire together flows using the wide range of nodes in the palette that can be deployed to its runtime in a single-click.
  basePermissions:
  - builtin/network/cluster-egress
  - builtin/network/local-net
  hasPermissions:
  - builtin/network/cluster-egress
  - builtin/network/local-net
  exposesPermissions: []
  repos:
    Source code: https://github.com/node-red/node-red
  support: ''
  icon: https://raw.githubusercontent.com/runtipi/runtipi-appstore/master/apps/nodered/metadata/logo.jpg
  defaultPassword: null
  license: Unknown
  volumes:
    data:
      minimum_size: 1073741824
      recommended_size: 5368709120
      name:
        en: App data
      description:
        en: All data generated by the app
  ports: []
  runtime: !Plugin tipi
  allowedScopes:
  - User
  defaultScope: User
  storePlugins: []
  uiModule: null
  supportsIngress: true
  canBeProtected: true
  saasCompatibility: Unknown
  rawIngress: false
  postInstallRedirect: null
  components: []
  isCitadel: false
  preloadType: !MainVolumeFromSubdir data
containers:
  nodered: !Deployment
    container:
      cap_add: []
      cap_drop: []
      command: null
      entrypoint: null
      environment: {}
      hostname: null
      image: nodered/node-red:4.0.9
      privileged: false
      restart: null
      stop_grace_period: null
      uid: null
      gid: null
      volumes:
      - !Longhorn
        name: data
        mount_path: /data
        sub_path: data
        is_readonly: false
        from_app: null
        from_ns: null
      working_dir: null
      shm_size: null
      ulimits: null
      host_network: false
      exposes:
        udp: []
        tcp: []
      fs_group: null
      service_account: null
      network_policy: null
      has_permissions: []
      additional_labels:
        uses-compat-layer: tipi
    middlewares: {}
services:
  nodered:
    target_container: nodered
    type: ClusterIp
    ports:
      udp: {}
      tcp: {}
    cluster_ip: None
    network_policy: null
  nodered-nirvati-ingress:
    target_container: nodered
    type: ClusterIp
    ports:
      udp: {}
      tcp:
        1880: 1880
    cluster_ip: null
    network_policy: null
ingress:
- target_service: nodered-nirvati-ingress
  target_ns: null
  target_app: null
  path_prefix: null
  target_port: 1880
  type: Https
  enable_compression: false
  strip_prefix: false
  auth_exclude: false
  component: null
plugins: {}
secrets: []
custom_resources: []
app_network_policy:
  ingress:
    allow_world:
      allow: true
      allowed_ports: null
    allow_cluster:
      allow: false
      allowed_ports: null
    allow_same_ns:
      allow: true
      allowed_ports: null
    cidrs: []
    pods:
    - namespace: null
      app: null
      match_labels:
        uses-compat-layer: tipi
      allowed_ports: null
      all_namespaces: true
  egress:
    allow_cluster: false
    allow_same_ns: true
    allow_kube_api: false
    allow_world: true
    allow_local_net: true
    dns:
      allow: true
      allowed_lookup_names: null
      allowed_lookup_pattern: null
    fqdns: []
    cidrs: []
    services: []
    pods:
    - namespace: null
      app: null
      match_labels:
        uses-compat-layer: tipi
      allowed_ports: null
      all_namespaces: true
other: []
